Bug 1658253 - New comboboxes/dropdown lists do not support prefix typing to select entry
Summary: New comboboxes/dropdown lists do not support prefix typing to select entry
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Bugzilla
Classification: Community
Component: User Interface
Version: 5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-11 15:57 UTC by Florian Weimer
Modified: 2019-01-29 04:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-29 04:16:53 UTC


Attachments (Terms of Use)

Description Florian Weimer 2018-12-11 15:57:18 UTC
In Bugzilla 4 with Firefox, it was possible to select an entry in a combobox by typing a its prefix.  For example, selecting the Hardware combobox and type “s3” would jump to the “s390” entry.  That used to be a nice shortcut with long lists.

This no longer works in Firefox 5.  The comboboxes do not react to typing anymore.

Comment 1 Jeff Fearn 🐞 2018-12-13 09:42:22 UTC
If it's a single entry select then you have to back space to get rid of the selected entry, then type s9 and it works the same. This is the same for the product/component/subcomponent widgets in BZ4.

It is less nice when applied to come other types of selects, so maybe we can tweak that behavior for different kinds of data.

Comment 2 Florian Weimer 2018-12-13 09:55:49 UTC
(In reply to Jeff Fearn from comment #1)
> If it's a single entry select then you have to back space to get rid of the
> selected entry, then type s9 and it works the same. This is the same for the
> product/component/subcomponent widgets in BZ4.

I can confirm that backspace works.  I honestly did not realize that this was needed.  In Firefox with the old dropdown lists, it is not necessary to press backspace. (I just checked with some other Bugzilla instance.)

But the new behavior is probably more consistent overall.  Thanks.

Comment 3 Jeff Fearn 🐞 2019-01-29 04:16:53 UTC
In preparation for entering maintenance mode we are closing bugs that
are unlikely to be scheduled in maintenance sprints.


Note You need to log in before you can comment on or make changes to this bug.